Name:           python-dbt-core
Version:        1.10.3
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        With dbt, data analysts and engineers can build analytics the way engineers build applications.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/dbt-labs/dbt-core
Source:         %{pypi_source dbt_core}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'dbt-core' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-dbt-core
Summary:        %{summary}

%description -n python3-dbt-core %_description


%prep
%autosetup -p1 -n dbt_core-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-dbt-core -f %{pyproject_files}


%changelog
%autochangelog